<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Encoding/char_traits.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Encoding::char_traits</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../../Synopsis.html" >Synopsis</a>::<a href="../../PTree.html" >PTree</a>
</div><div class="class-name">struct <a href="../Encoding.html" >Encoding</a>::char_traits

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/PTree/Encoding.hh.html" target="detail">../Synopsis/PTree/Encoding.hh</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line70" ><img src="../../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Typedefs Summary:</div>
<div class="item"><div class="synopsis">unsigned&#160;char <a class="name" id="char_type">char_type</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mchar_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line72" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">unsigned&#160;long <a class="name" id="int_type">int_type</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mint_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line73" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::streampos <a class="name" id="pos_type">pos_type</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mpos_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line74" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::streamoff <a class="name" id="off_type">off_type</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_moff_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line75" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::mbstate_t <a class="name" id="state_type">state_type</a></div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mstate_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line76" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;void <a class="name" id="assign_lchar_type_A_cconst.char_type_A_r">assign</a>(<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c2</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_massign_lchar_type_A_cconst.char_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line78" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;bool <a class="name" id="eq_lconst.char_type_A_cconst.char_type_A_r">eq</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c2</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_meq_lconst.char_type_A_cconst.char_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line79" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;bool <a class="name" id="lt_lconst.char_type_A_cconst.char_type_A_r">lt</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c2</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mlt_lconst.char_type_A_cconst.char_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line80" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;int <a class="name" id="compare_lconst.char_type_S_cconst.char_type_S_cstd_msize_t_r">compare</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s2</span>, std::size_t <span class="variable">n</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line81" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;std::size_t <a class="name" id="length_lconst.char_type_S_r">length</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mlength_lconst.char_type_S_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line82" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> const&#160;<a href="char_traits.html#char_type" >char_type</a>* <a class="name" id="find_lconst.char_type_S_cstd_msize_t_cconst.char_type_A_r">find</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s</span>, std::size_t <span class="variable">n</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">a</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line83" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#char_type" >char_type</a>* <a class="name" id="move_lchar_type_S_cconst.char_type_S_cstd_msize_t_r">move</a>(<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s2</span>, std::size_t <span class="variable">n</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line85" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#char_type" >char_type</a>* <a class="name" id="copy_lchar_type_S_cconst.char_type_S_cstd_msize_t_r">copy</a>(<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s1</span>, const&#160;<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s2</span>, std::size_t <span class="variable">n</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line87" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#char_type" >char_type</a>* <a class="name" id="assign_lchar_type_S_cstd_msize_t_cchar_type_r">assign</a>(<a href="char_traits.html#char_type" >char_type</a>* <span class="variable">s</span>, std::size_t <span class="variable">n</span>, <a href="char_traits.html#char_type" >char_type</a> <span class="variable">a</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line89" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#char_type" >char_type</a> <a class="name" id="to_char_type_lconst.int_type_A_r">to_char_type</a>(const&#160;<a href="char_traits.html#int_type" >int_type</a>&amp; <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mto_char_type_lconst.int_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line91" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#int_type" >int_type</a> <a class="name" id="to_int_type_lconst.char_type_A_r">to_int_type</a>(const&#160;<a href="char_traits.html#char_type" >char_type</a>&amp; <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mto_int_type_lconst.char_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line92" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;bool <a class="name" id="eq_int_type_lconst.int_type_A_cconst.int_type_A_r">eq_int_type</a>(const&#160;<a href="char_traits.html#int_type" >int_type</a>&amp; <span class="variable">c1</span>, const&#160;<a href="char_traits.html#int_type" >int_type</a>&amp; <span class="variable">c2</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_meq_int_type_lconst.int_type_A_cconst.int_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line93" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#int_type" >int_type</a> <a class="name" id="eof_l_r">eof</a>()  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_meof_l_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line94" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span> <a href="char_traits.html#int_type" >int_type</a> <a class="name" id="not_eof_lconst.int_type_A_r">not_eof</a>(const&#160;<a href="char_traits.html#int_type" >int_type</a>&amp; <span class="variable">c</span>)  </div> <div class="xref"><a href="../../../../XRef/xref5.html#Synopsis_mPTree_mEncoding_mchar_traits_mnot_eof_lconst.int_type_A_r" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/PTree/Encoding.hh.html#line95" ><img src="../../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
